Package com.xebialabs.xlrelease.domain

# Class BaseArtifact

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseArtifact

All Implemented Interfaces:
  `Artifact`, `SourceArtifact`, `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

Direct Known Subclasses:
  `Attachment`, `TemplateLogo`

@Metadata(versioned=false, virtual=true) public abstract class BaseArtifact extends BaseConfigurationItem implements SourceArtifact

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONTENT_TYPE_PROPERTY_NAME`
  `static final String`
  `EXPORT_FILENAME_PROPERTY_NAME`
  `static final String`
  `PARENT_TITLE_PROPERTY_NAME`
  `static final String`
  `PORTABLE_FILENAME_PROPERTY_NAME`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.artifact.SourceArtifact

  `CHECKSUM_PROPERTY_NAME, FILE_URI_PROPERTY_NAME, IS_RESCANNED_PROPERTY_NAME`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BaseArtifact()`
  `protected`
  `BaseArtifact(com.xebialabs.overthere.OverthereFile file, String contentType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getChecksum()`
  `String`
  `getContentType()`
  `String`
  `getExcludeFileNamesRegex()`
  `abstract String`
  `getExportDirectoryName()`
  `String`
  `getExportFilename()`
  `com.xebialabs.overthere.OverthereFile`
  `getFile()`
  `Map<String,String>`
  `getFileEncodings()`
  `String`
  `getFileUri()`
  `Set<String>`
  `getPlaceholders()`
  `String`
  `getPortableFilename()`
  `String`
  `getTextFileNamesRegex()`
  `void`
  `setContentType(String contentType)`
  `void`
  `setExportFilename(String exportFilename)`
  `void`
  `setFile(com.xebialabs.overthere.OverthereFile file)`
  `void`
  `setPlaceholders(Set<String> placeholders)`
  `void`
  `setPortableFilename(String portableFilename)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.artifact.SourceArtifact

  `getCredentials, getProxySettings`

- ## Field Details

  - ### PARENT_TITLE_PROPERTY_NAME

    public static final String PARENT_TITLE_PROPERTY_NAME
    See Also:
      - Constant Field Values

  - ### PORTABLE_FILENAME_PROPERTY_NAME

    public static final String PORTABLE_FILENAME_PROPERTY_NAME
    See Also:
      - Constant Field Values

  - ### EXPORT_FILENAME_PROPERTY_NAME

    public static final String EXPORT_FILENAME_PROPERTY_NAME
    See Also:
      - Constant Field Values

  - ### CONTENT_TYPE_PROPERTY_NAME

    public static final String CONTENT_TYPE_PROPERTY_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BaseArtifact

    protected BaseArtifact()

  - ### BaseArtifact

    protected BaseArtifact(com.xebialabs.overthere.OverthereFile file, String contentType)

- ## Method Details

  - ### getFile

    public com.xebialabs.overthere.OverthereFile getFile()
    Specified by:
      `getFile` in interface `Artifact`

  - ### setFile

    public void setFile(com.xebialabs.overthere.OverthereFile file)
    Specified by:
      `setFile` in interface `Artifact`

  - ### getPlaceholders

    public Set<String> getPlaceholders()
    Specified by:
      `getPlaceholders` in interface `SourceArtifact`

  - ### setPlaceholders

    public void setPlaceholders(Set<String> placeholders)
    Specified by:
      `setPlaceholders` in interface `SourceArtifact`

  - ### getTextFileNamesRegex

    public String getTextFileNamesRegex()
    Specified by:
      `getTextFileNamesRegex` in interface `SourceArtifact`

  - ### getExcludeFileNamesRegex

    public String getExcludeFileNamesRegex()
    Specified by:
      `getExcludeFileNamesRegex` in interface `SourceArtifact`

  - ### getFileEncodings

    public Map<String,String> getFileEncodings()
    Specified by:
      `getFileEncodings` in interface `SourceArtifact`

  - ### getChecksum

    public String getChecksum()
    Specified by:
      `getChecksum` in interface `SourceArtifact`

  - ### getFileUri

    public String getFileUri()
    Specified by:
      `getFileUri` in interface `SourceArtifact`

  - ### getContentType

    public String getContentType()

  - ### setContentType

    public void setContentType(String contentType)

  - ### getExportDirectoryName

    public abstract String getExportDirectoryName()

  - ### getExportFilename

    public String getExportFilename()

  - ### setExportFilename

    public void setExportFilename(String exportFilename)

  - ### getPortableFilename

    public String getPortableFilename()

  - ### setPortableFilename

    public void setPortableFilename(String portableFilename)